package cn.novalon.gym.manage.sys.dto.response;

/**
 * 文件预览响应DTO
 * 
 * @author 张翔
 * @date 2026-03-14
 */
public class FilePreviewResponse {
    private String fileName;
    private String fileType;
    private Long fileSize;
    private String previewType;
    private String previewData;

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public Long getFileSize() {
        return fileSize;
    }

    public void setFileSize(Long fileSize) {
        this.fileSize = fileSize;
    }

    public String getPreviewType() {
        return previewType;
    }

    public void setPreviewType(String previewType) {
        this.previewType = previewType;
    }

    public String getPreviewData() {
        return previewData;
    }

    public void setPreviewData(String previewData) {
        this.previewData = previewData;
    }
}
